List components
Returns a paginated list of components and any folders in the result set.
- Type: stringtag
Filter by component tag name. This is the name of the tag inserted into your emails.
- Type: integerpagemin:1
The page number of results you want to display. Use with
limit. - Type: integerlimitmin:1max:10000
The maximum number of results per page.
- Type: string Format: uuidparent
_folder _id Filter by parent folder. Must reference an existing folder. If not set, the response filters by the root level directory.
To list only items in the root folder, leave
parent_folder_idunset and only setdirect_descendants_onlytotrue. - Type: booleandirect
_descendants _only When
true, the response includes only the immediate children of the parent folder. Whenfalse, it includes the parent folder's entire subtree. - Type: string enumsort
_by values- created
- updated
- name
- Type: string enumsort
_order values- asc
- desc
- Type: integer Format: Unix timestampcreated
_before Return records created before this time. Must be a unix timestamp.
- Type: integer Format: Unix timestampcreated
_after Return records created after this time. Must be a unix timestamp.
- Type: integer Format: Unix timestampupdated
_before Return records updated before this time. Must be a unix timestamp.
- Type: integer Format: Unix timestampupdated
_after Return records updated after this time. Must be a unix timestamp.
- application/json
- application/json
- application/json
- application/json
curl https://api.customer.io/v1/design_studio/components \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"components": [
{
"created": 1773856017,
"id": "e89b-12d3",
"name": "Custom footer",
"parent_folder_id": "123e4567-e89b-12d3-a456-426614174000",
"tag": "custom-footer",
"updated": 1773856019
}
],
"folders": [
{
"created": 1714732800,
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Product Announcements",
"parent_folder_id": null,
"updated": 1714732800
}
],
"meta": {
"filters": {
"parent_folder_id": "123e4567-e89b-12d3-a456-426614174000",
"direct_descendants_only": true,
"sort_by": "created",
"sort_order": "desc",
"created_before": 1714732800,
"created_after": null,
"updated_before": null,
"updated_after": null
},
"pagination": {
"limit": 1,
"page": 1,
"total": 1
}
}
}Successful response